## hlbrw 0.2.4

=== Makefile ===
# Makefile for HLBRW
#
# by Eriberto
#
# Possible targets: install and uninstall

CONF_PATH	= $(DESTDIR)/etc
CRON_PATH	= $(CONF_PATH)/cron.weekly
LOG_PATH	= $(DESTDIR)/var/log/hlbrw
MANPAGE_PATH	= $(DESTDIR)/usr/share/man/man1
PROGRAM_PATH	= $(DESTDIR)/usr/bin

all: hlbrw

hlbrw:
	#
	# --------------------------------------
	# Run "# make install" to install HLBRW.
	# --------------------------------------
	#

install:
	@echo Installing program...
	cp hlbrw $(PROGRAM_PATH)
	chmod 755 $(PROGRAM_PATH)/hlbrw
	cp hlbrw.1.man $(MANPAGE_PATH)/hlbrw.1
	cp hlbrw.conf $(CONF_PATH)
	cp hlbrw.cron $(CRON_PATH)/hlbrw
	chmod 755 $(CRON_PATH)/hlbrw
	[ -d $(LOG_PATH) ] || mkdir $(LOG_PATH)
	#
	# ----------------------------------------------
	# HLBRW installed. You must configure the iwatch
	# program. Please see the README.
	# ----------------------------------------------
	#

uninstall:
	rm -f $(PROGRAM_PATH)/hlbrw
	rm -f $(MANPAGE_PATH)/hlbrw.1
	rm -f $(CONF_PATH)/hlbrw.conf
	rm -f $(CRON_PATH)/hlbrw
	#
	# ---------------------------------------
	# HLBRW uninstalled.
	# The /var/log/hlbrw/ directory was kept.
	# ---------------------------------------
	#

=== debian/changelog ===
hlbrw (0.2.4-1) unstable; urgency=low

  * Initial release (Closes: #568424)

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Sat, 06 Mar 2010 23:36:42 -0300

=== debian/control ===
Source: hlbrw
Section: admin
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.8.4
Homepage: http://hlbr.sf.net
Vcs-Svn: svn://svn.debian.org/svn/debian-br-team/packages/hlbrw
Vcs-Browser: http://svn.debian.org/wsvn/debian-br-team/packages/hlbrw

Package: hlbrw
Architecture: all
Depends: ${misc:Depends}, hlbr, iwatch
Description: assistant to help make new rules to HLBR
 HLBRW is an acronym to Hogwash Light BR Watch. The intent is provide a tool
 to help make rules to HLBR (http://hlbr.sf.net). In others words, HLBRW was
 made to be used by HLBR users needing make new rules (it will require some
 expertise about HLBR, TCP/IP protocol suite and regular expressions).
 .
 HLBRW is a script started by iwatch (a system events watch program available
 at http://iwatch.sourceforge.net) when the HLBR events log is modified. The
 concept is very single: if the HLBR log was modified, then a knew attack was
 blocked. But the attacker can make others subsequent actions unknown by HLBR.
 Then the iwatch running as daemon will start HLBRW and it will co-ordinate a
 tcpdump session to record the posterior traffic generated by attacker IP for
 some minutes. If the recorded traffic isn't relevant (without a push in TCP
 or another relevant protocol), the created file will be deleted. Based in the
 recorded traffic, the network security manager will can  make new rules.
 .
 HLBRW is part of the HLBR project, an Intrusion Prevention System (IPS) used
 in firewall systems.

=== debian/watch ===
version=3
http://sf.net/hlbr/hlbrw-(.*)\.tar\.gz
